[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.ActiveDefaultControl

Specifies the active default control on the form.

## Declaration

Source position: forms.pp line 763

`public property TCustomForm.ActiveDefaultControl : TControl read FActiveDefaultControl write SetActiveDefaultControl;`

## Description

The active control which is the default control executed when the Enter key is pressed. When setting a new value for the property, a previous default control is notified of the change to the property value using the ActiveDefaultControlChanged method.

## See also

TCustomForm.ActiveControl |  | Gets or sets the active control on the form.
TCustomForm.DefaultControl |  | The control associated with the default action for this form.